import styled, { css } from 'react-emotion';
import { durationT1, easeOut } from 'unify-token/build/v2/motions';
import { NN200, NN300, NN400, NN950, GN500 } from 'unify-token/colors';
import { fontSizeLv2 } from 'unify-token/build/v2/typographies';
export var quantityButtonStyle = css("background-color:transparent;padding:0;border:none;-webkit-appearance:none;> .unf-icon{display:block !important;}");

var handleWidth = function handleWidth(_ref) {
  var width = _ref.width,
      maxValueDigit = _ref.maxValueDigit;

  switch (true) {
    case !!width:
      return width;

    case maxValueDigit <= 3:
      return '70px';

    default:
      return "".concat(70 + (maxValueDigit - 3) * 10, "px");
  }
};

export var Container = styled("div", {
  target: "e174zyp0"
})("label:unf-quantity-editor;display:inline-flex;height:24px;box-sizing:border-box;align-items:center;border:solid 1px ", function (_ref2) {
  var disabled = _ref2.disabled,
      isFocus = _ref2.isFocus;
  return disabled ? NN200 : isFocus ? GN500 : NN300;
}, ";border-radius:4px;padding:3px;transition:border ", durationT1, " ", easeOut, ";overflow:hidden;width:", handleWidth, ";");
export var Input = styled('input', {
  target: "e174zyp1"
})("label:unf-quantity-editor__input;outline:none;border:none;background-color:transparent;color:", NN950, ";font-family:inherit;font-size:", fontSizeLv2, ";line-height:16px;text-align:center;padding:0;flex-shrink:2;flex-grow:2;width:100%;:disabled{color:", NN400, ";}");